Subject: bug#14549: closed (Re: bug#14549: warning while compiling guile 2.0.9)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Jun 2016 21:27:02 +0000

Your bug report

#14549: warning while compiling guile 2.0.9

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14549: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14549
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14549: warning while compiling guile 2.0.9
From: Andy Wingo <[email-masked]>
To: [email-masked]
Cc: Ludovic CourtÃ¨s <[email-masked]>, [email-masked]
Date: Mon, 20 Jun 2016 23:25:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Expiring this bug due to inactivity.  If you have a problem compiling
Guile 2.0.11, stable-2.0, the upcoming 2.0.12, or the beta 2.1.3, let us
know in new reports.  Thanks!

Andy

On Tue 04 Jun 2013 15:43, [email-masked] writes:

> Hi Ludovic,
>
> thanks for the reply.
> The compilation did not succeed. There're several reasons behind it.
> One thing is that the pthread_np.h should be avoided on OpenBSD
> alltogether, since this it implements just a short fraction of functions.
> So if functions from pthread_np.h should be used, then they must be tested
> one by one and not assuming that if the file is present so are the
> functions. I simply renamed the file "pthread_np.h" to
> "pthread_np.h.original" and ran configure and this time configure
> succeeded without any complaint.
>
> The other thing with OpenBSD is, that the stock-installation of the
> Boehm-GC package is more or less broken. I compiled my own version of this
> library and then I could compile guile successfully, but the linker did
> complain about some pthread_np* functions.
> Using the stock installation/package then there's a conflict with some
> defines being set (notably: GC_REDIRECT_TO_LOCAL). The stock installation
> has no such file (gc_local_alloc.h) so the defines inside must be set
> accordingly.
>
> Currently I'm very busy to follow up this problem but I'm very willing to
> provide more information on this topic, since I keen on having a current
> version of Guile running  under OpenBSD.
>
> Sebastian
>
>> Hi,
>>
>> Thanks for the report.
>>
>> [email-masked] skribis:
>>
>>> Compiling guile 2.0.9 under OpenBSD 5.2 x86
>>
>> Did compilation eventually succeed?  Did you run â€˜make checkâ€™?
>>
>>> checking pthread.h usability... yes
>>> checking pthread.h presence... yes
>>> checking for pthread.h... yes
>>> checking pthread_np.h usability... no
>>> checking pthread_np.h presence... yes
>>> configure: WARNING: pthread_np.h: present but cannot be compiled
>>> configure: WARNING: pthread_np.h:     check for missing prerequisite
>>> headers?
>>> configure: WARNING: pthread_np.h: see the Autoconf documentation
>>> configure: WARNING: pthread_np.h:     section "Present But Cannot Be
>>> Compiled"
>>
>> Could you send the output of:
>>
>>   grep pthread_np config.log
>>
>> Thanks,
>> Ludoâ€™.
>>

Subject: warning while compiling guile 2.0.9
From: [email-masked]
To: [email-masked]
Date: Mon, 3 Jun 2013 10:40:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guile-team

Compiling guile 2.0.9 under OpenBSD 5.2 x86

checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking pthread_np.h usability... no
checking pthread_np.h presence... yes
configure: WARNING: pthread_np.h: present but cannot be compiled
configure: WARNING: pthread_np.h:     check for missing prerequisite headers?
configure: WARNING: pthread_np.h: see the Autoconf documentation
configure: WARNING: pthread_np.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: pthread_np.h: proceeding with the compiler's result
configure: WARNING:     ## -------------------------------- ##
configure: WARNING:     ## Report this to [email-masked] ##
configure: WARNING:     ## -------------------------------- ##
checking for pthread_np.h... no
checking for sys/param.h... (cached) yes
checking sys/resource.h usability... yes
checking sys/resource.h pres